@echo off
cls
echo ÜÜÜÜÜÜÜÜ
echo PC Bench 
echo ÄÄÄÄÄÄÄÄ
echo Database Re-Initialization
echo ˙
echo ----- WARNING -----
echo -   -   -   -   -   -
echo This utility will ERASE your current benchmark database
echo and replace it with the default PC Bench data. It also
echo initializes the configuration file.
echo ˙
echo Use CLEARDB -A to also erase the default comparison data
echo from the current benchmark database.
echo ˙
echo ALL OF YOUR BENCHMARK DATA WILL BE LOST!
echo ˙
echo Hit Ctrl-Break to abort or
pause
cls
echo ÜÜÜÜÜÜÜÜ
echo PC Bench 
echo ÄÄÄÄÄÄÄÄ
echo Database Re-Initialization
echo ˙
echo ----- LAST CHANCE -----
echo -   -   -   -   -   -
echo This process will ERASE your current benchmark database.
echo ˙
echo DO NOT PROCEED UNLESS YOU DO NOT NEED YOUR BENCHMARK DATA!
echo ˙
echo Hit Ctrl-Break to abort or
pause
cls
echo ÜÜÜÜÜÜÜÜ
echo PC Bench 
echo ÄÄÄÄÄÄÄÄ
echo Database Re-Initialization
echo ˙
echo Deleting configuration file...
del  bench.cfg
echo Deleting data files...
del machine_.dbf
del result_.dbf
del sysinfo_.dbf
del test_.dbf
del testgrp_.dbf
echo Deleting index files...
del machine_.mdx
del result_.mdx
del sysinfo_.mdx
del test_.mdx
del testgrp_.mdx
echo Restoring data files...
if "%1" == "-A" goto All
if "%1" == "-a" goto All
rem copy bench.bak bench.cfg
copy *.bkd *.dbf
echo Restoring index files...
copy *.bkx *.mdx
echo ˙
echo Database files restored to default data.
goto End
:All
copy test_.bkd test_.dbf
copy testgrp_.bkd testgrp_.dbf
echo Restoring index files...
copy test_.bkx test_.mdx
copy testgrp_.bkx testgrp_.mdx
echo ˙
echo Database files initialized.
:End
